ISXEVE - Bug #1250

Example script incorrect for usage of repair facilities & cannot accept confirmation modal
Description
This is in reference to the example script on issue: https:/forge.isxgames.com/issues/1174

This is how the example script accepts the repair confirmation:
EVEWindow[byName,"modal"]:ClickButtonYes

This is incorrect - there is no modal window at this stage. This is the dump from the ISXEVE EVE_GetEVEWindows testcase for the
modal that pops up, confirmed by closing the modal and testing again:

LSTypelterator: Members of datatype "evewindow", instance "Testlterator.Value"

Testlterator.Value.Capacity == -1.000000
Testlterator.Value.Caption == Set Quantity
Testlterator.Value.HTML == NULL
Testlterator.Value.ltemID ==-1
Testlterator.Value.Minimized == FALSE
Testlterator.Value.Name == Set Quantity
Testlterator.Value.Text == NULL

Testlterator.Value.UsedCapacity == -1.000000
Testlterator.Value lteration Time == 0.000000 seconds

Additionally, there doesn't seem to be a way to successfully accept that modal window.
ClickButtonCancel, ClickButtonClose, ClickButtonNo, ClickButtonOK, and ClickButtonYes all close the window.

ClickButtonOK causes a brief flash / refresh of the "Pick New ltem" and "Repair All" buttons on the Repairshop window but doesn't
seem to actually trigger the repair - wallet balance is unchanged.

The "Set Quantity" dialog has "OK" and "Cancel" buttons, no X in the top right.

History

#1 - 2014-10-23 10:08 PM - Amadeus
- Status changed from New to In Progress

- Assignee set to Amadeus

It appears as though there is a difference in how the dialogs work when you have damage to modules (only) versus damage to your ship proper. |
only tested with module damage thinking it would be the same. So, I'll have to test otherwise and make further updates.

#2 - 2014-10-24 01:07 AM - Amadeus
- File TestRepairShopWindow.iss added

- Status changed from In Progress to Resolved

October 24, 2014
[ISXEVE-20141001.0031]
* Datatype 'evewindow'
~ Fixed the "ClickButtonOK" method to work with hybrid modal/traditional windows

This release should fix the issue. I've updated the test script as well (attached).
#3 - 2014-10-24 05:50 AM - Stealthy

Confirmed fixed.

Files

TestRepairShopWindow.iss 2.37 KB 2014-10-24 Amadeus
